> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/automation-studio/import-component-groups/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Import a new component group document POST https://example.itential.io/automation-studio/component-groups/import Content-Type: application/json Imports a new component group document. Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/import-component-groups ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `componentGroups` (list of object, optional) — Array of component group documents to import. If '_id' is provided, it will be replaced with an autogenerated '_id'. If a component group's name is already used in the component groups collection, it will be renamed with a numeric suffix. - `name` (string, required) - `gbacRead` (list of string, required) - `members` (list of object or object, required) - object - `path` (list of string, optional) - `type` (enum, optional) - Allowed values: `folder` - object - `path` (string, optional) - `type` (enum, optional) - Allowed values: `component` - `sourceCollection` (string, optional) - `ref` (string, optional) - `_id` (string, optional) — Unique identifier of the component group - `version` (double, optional) - `meta` (object, optional) ## Response ### 200 Results from each individual import operation. - `imported` (list of object, optional) - `message` (string, required) — Message containing either confirmation of the import operation or the reason for the failure of the import operation. - `original` (object, required) — Data to import as a new component group document. - `name` (string, required) - `gbacRead` (list of string, required) - `members` (list of object or object, required) - object - `path` (list of string, optional) - `type` (enum, optional) - Allowed values: `folder` - object - `path` (string, optional) - `type` (enum, optional) - Allowed values: `component` - `sourceCollection` (string, optional) - `ref` (string, optional) - `_id` (string, optional) — Unique identifier of the component group - `version` (double, optional) - `meta` (object, optional) - `created` (object, required, nullable) — The imported component group as it exists after being imported. - `name` (string, required) - `gbacRead` (list of string, required) - `members` (list of object or object, required) - object - `path` (list of string, optional) - `type` (enum, optional) - Allowed values: `folder` - object - `path` (string, optional) - `type` (enum, optional) - Allowed values: `component` - `sourceCollection` (string, optional) - `ref` (string, optional) - `_id` (string, optional) — Unique identifier of the component group - `description` (string, optional) - `gbacWrite` (list of string, optional) - `version` (double, optional) - `meta` (object, optional) - `edit` (string, required, nullable) — URI to the edit page for the imported component group. - `success` (boolean, optional) — Status flag denoting the success (true) or failure (false) of the component group's import operation. ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "imported": [ { "message": "string", "original": { "name": "Assign Next IP - Infoblox", "gbacRead": [ "CAcFAfEa9aCe7ba08d482B3F" ], "members": [ { "path": [ "Assign Next IP - Infoblox" ], "type": "folder" } ], "_id": "string", "version": 1, "meta": {} }, "created": { "name": "Infoblox Workflows", "gbacRead": [ "CAcFAfEa9aCe7ba08d482B3F" ], "members": [ { "path": [ "Assign Next IP - Infoblox" ], "type": "folder" } ], "_id": "string", "description": "Infoblox Workflows", "gbacWrite": [ "CAcFAfEa9aCe7ba08d482B3F" ], "version": 1, "meta": {} }, "edit": "string", "success": true } ] } ``` **SDK Code** ```python import requests url = "https://example.itential.io/automation-studio/component-groups/import" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/automation-studio/component-groups/import'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/automation-studio/component-groups/import" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/automation-studio/component-groups/import") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/automation-studio/component-groups/import") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/automation-studio/component-groups/import', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/automation-studio/component-groups/import"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/component-groups/import")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```